# tls.caCert

Specifies the CA certificate file used to validate client certificates.

This parameter applies to imrelp: RELP Input Module.

Name:

  tls.caCert

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  no

Introduced:

  Not documented

## Description

The CA certificate that is being used to verify the client certificates. Has to be configured if tls.authMode is set to `name` or `certvalid`.

## Input usage

    input(type="imrelp" port="2514" tls="on" tls.caCert="/etc/rsyslog/ca.pem")

## See also

See also imrelp: RELP Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.